The Serial And Batch Bundle object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

status string

Default: draft

company string required
item_group string
has_serial_no boolean

Default: false

item_code string required
item_name string
has_batch_no boolean

Default: false

voucher_type string required
voucher_no string
is_cancelled boolean

Default: false

avg_rate number
total_amount number
total_qty number
warehouse string
type_of_transaction string required
is_rejected boolean

Default: false

voucher_detail_no string
returned_against string
is_packed boolean

Default: false

posting_datetime string
The Serial And Batch Bundle object
{
  "id": "serial-and-batch-bundle_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "company": "Example Corp",
  "item_group": "item_group_example",
  "has_serial_no": false,
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "has_batch_no": false,
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "is_cancelled": false,
  "avg_rate": 0,
  "total_amount": 0,
  "total_qty": 0,
  "warehouse": "warehouse_example",
  "type_of_transaction": "type_of_transaction_example",
  "is_rejected": false,
  "voucher_detail_no": "voucher_detail_no_example",
  "returned_against": "returned_against_example",
  "is_packed": false,
  "posting_datetime": "2024-01-15"
}
GET /api/stock/serial-and-batch-bundle/{id}

Retrieve a serial and batch bundle

Retrieves the details of an existing serial and batch bundle. Supply the unique serial and batch bundle ID that was returned from a previous request.

Path parameters

id string required

The identifier of the serial and batch bundle to retrieve.

Returns

Returns the serial and batch bundle object if a valid identifier was provided.

GET /api/stock/serial-and-batch-bundle/{id}
curl https://api.overplane.dev/api/stock/serial-and-batch-bundle/serial-and-batch-bundle_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "serial-and-batch-bundle_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "company": "Example Corp",
  "item_group": "item_group_example",
  "has_serial_no": false,
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "has_batch_no": false,
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "is_cancelled": false,
  "avg_rate": 0,
  "total_amount": 0,
  "total_qty": 0,
  "warehouse": "warehouse_example",
  "type_of_transaction": "type_of_transaction_example",
  "is_rejected": false,
  "voucher_detail_no": "voucher_detail_no_example",
  "returned_against": "returned_against_example",
  "is_packed": false,
  "posting_datetime": "2024-01-15"
}
GET /api/stock/serial-and-batch-bundle

List all serial and batch bundles

Returns a list of serial and batch bundles. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of serial and batch bundle objects.

GET /api/stock/serial-and-batch-bundle
curl https://api.overplane.dev/api/stock/serial-and-batch-bundle \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "serial-and-batch-bundle_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "status": "draft",
      "company": "Example Corp",
      "item_group": "item_group_example",
      "has_serial_no": false,
      "item_code": "item_code_example",
      "item_name": "item_name_example",
      "has_batch_no": false,
      "voucher_type": "voucher_type_example",
      "voucher_no": "voucher_no_example",
      "is_cancelled": false,
      "avg_rate": 0,
      "total_amount": 0,
      "total_qty": 0,
      "warehouse": "warehouse_example",
      "type_of_transaction": "type_of_transaction_example",
      "is_rejected": false,
      "voucher_detail_no": "voucher_detail_no_example",
      "returned_against": "returned_against_example",
      "is_packed": false,
      "posting_datetime": "2024-01-15"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/stock/serial-and-batch-bundle

Create a serial and batch bundle

Creates a new serial and batch bundle object.

Body parameters

status string

Default: draft

company string required
item_group string
has_serial_no boolean

Default: false

item_code string required
item_name string
has_batch_no boolean

Default: false

voucher_type string required
voucher_no string
is_cancelled boolean

Default: false

avg_rate number
total_amount number
total_qty number
warehouse string
type_of_transaction string required
is_rejected boolean

Default: false

voucher_detail_no string
returned_against string
is_packed boolean

Default: false

posting_datetime string

Returns

Returns the newly created serial and batch bundle object if the call succeeded.

POST /api/stock/serial-and-batch-bundle
curl https://api.overplane.dev/api/stock/serial-and-batch-bundle \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"company":"Example Corp","item_code":"item_code_example","voucher_type":"voucher_type_example","type_of_transaction":"type_of_transaction_example"}'
Response
{
  "id": "serial-and-batch-bundle_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "company": "Example Corp",
  "item_group": "item_group_example",
  "has_serial_no": false,
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "has_batch_no": false,
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "is_cancelled": false,
  "avg_rate": 0,
  "total_amount": 0,
  "total_qty": 0,
  "warehouse": "warehouse_example",
  "type_of_transaction": "type_of_transaction_example",
  "is_rejected": false,
  "voucher_detail_no": "voucher_detail_no_example",
  "returned_against": "returned_against_example",
  "is_packed": false,
  "posting_datetime": "2024-01-15"
}
PATCH /api/stock/serial-and-batch-bundle/{id}

Update a serial and batch bundle

Updates the specified serial and batch bundle by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the serial and batch bundle to update.

Body parameters

status string

Default: draft

company string
item_group string
has_serial_no boolean

Default: false

item_code string
item_name string
has_batch_no boolean

Default: false

voucher_type string
voucher_no string
is_cancelled boolean

Default: false

avg_rate number
total_amount number
total_qty number
warehouse string
type_of_transaction string
is_rejected boolean

Default: false

voucher_detail_no string
returned_against string
is_packed boolean

Default: false

posting_datetime string

Returns

Returns the updated serial and batch bundle object.

PATCH /api/stock/serial-and-batch-bundle/{id}
curl https://api.overplane.dev/api/stock/serial-and-batch-bundle/serial-and-batch-bundle_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"status":"draft","company":"Example Corp"}'
Response
{
  "id": "serial-and-batch-bundle_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "company": "Example Corp",
  "item_group": "item_group_example",
  "has_serial_no": false,
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "has_batch_no": false,
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "is_cancelled": false,
  "avg_rate": 0,
  "total_amount": 0,
  "total_qty": 0,
  "warehouse": "warehouse_example",
  "type_of_transaction": "type_of_transaction_example",
  "is_rejected": false,
  "voucher_detail_no": "voucher_detail_no_example",
  "returned_against": "returned_against_example",
  "is_packed": false,
  "posting_datetime": "2024-01-15"
}
DELETE /api/stock/serial-and-batch-bundle/{id}

Delete a serial and batch bundle

Permanently deletes a serial and batch bundle. This cannot be undone.

Path parameters

id string required

The identifier of the serial and batch bundle to delete.

Returns

Returns a confirmation that the serial and batch bundle has been deleted.

DELETE /api/stock/serial-and-batch-bundle/{id}
curl https://api.overplane.dev/api/stock/serial-and-batch-bundle/serial-and-batch-bundle_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "serial-and-batch-bundle_abc123",
  "deleted": true
}
POST /api/stock/serial-and-batch-bundle/{id}/submit

Submit a serial and batch bundle

Submits a draft serial and batch bundle, transitioning its status from draft to submitted.

Path parameters

id string required

The identifier of the serial and batch bundle to act on.

Returns

Returns the serial and batch bundle object with updated status.

POST /api/stock/serial-and-batch-bundle/{id}/submit
curl https://api.overplane.dev/api/stock/serial-and-batch-bundle/serial-and-batch-bundle_abc123/submit \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "serial-and-batch-bundle_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "company": "Example Corp",
  "item_group": "item_group_example",
  "has_serial_no": false,
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "has_batch_no": false,
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "is_cancelled": false,
  "avg_rate": 0,
  "total_amount": 0,
  "total_qty": 0,
  "warehouse": "warehouse_example",
  "type_of_transaction": "type_of_transaction_example",
  "is_rejected": false,
  "voucher_detail_no": "voucher_detail_no_example",
  "returned_against": "returned_against_example",
  "is_packed": false,
  "posting_datetime": "2024-01-15"
}
POST /api/stock/serial-and-batch-bundle/{id}/cancel

Cancel a serial and batch bundle

Cancels a submitted serial and batch bundle, transitioning its status to cancelled.

Path parameters

id string required

The identifier of the serial and batch bundle to act on.

Returns

Returns the serial and batch bundle object with updated status.

POST /api/stock/serial-and-batch-bundle/{id}/cancel
curl https://api.overplane.dev/api/stock/serial-and-batch-bundle/serial-and-batch-bundle_abc123/cancel \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "serial-and-batch-bundle_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "company": "Example Corp",
  "item_group": "item_group_example",
  "has_serial_no": false,
  "item_code": "item_code_example",
  "item_name": "item_name_example",
  "has_batch_no": false,
  "voucher_type": "voucher_type_example",
  "voucher_no": "voucher_no_example",
  "is_cancelled": false,
  "avg_rate": 0,
  "total_amount": 0,
  "total_qty": 0,
  "warehouse": "warehouse_example",
  "type_of_transaction": "type_of_transaction_example",
  "is_rejected": false,
  "voucher_detail_no": "voucher_detail_no_example",
  "returned_against": "returned_against_example",
  "is_packed": false,
  "posting_datetime": "2024-01-15"
}